Page MenuHomePhabricator

Automatically create redirects when merging items
Closed, ResolvedPublic1 Story Points

Description

Automatically create redirects when merging items


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=5

Details

Reference
bz57745

Related Objects

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 2:30 AM
bzimport set Reference to bz57745.
bzimport added a subscriber: Unknown Object (MLST).
daniel created this task.Nov 29 2013, 3:11 PM
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Stryn added a subscriber: Stryn.Dec 4 2014, 7:56 PM

I'd like to get some community feedback if we should still spend time on this or if it is ok the way things are now.

I would love to see this fixed to just get it over with. I have a list of items at https://www.wikidata.org/wiki/User:Multichill/To_redirect that have recently be emptied out to be redirected, but the item was not redirected. Just updated it and again about 1600 items on there.

And how about automatically Fixing the Double-Redirects of items?

Lucie added a subscriber: Lucie.May 28 2015, 11:39 PM
Lucie claimed this task.May 31 2015, 12:28 PM
Lucie set Security to None.

Change 214917 had a related patch set uploaded (by Lucie Kaffee):
[WIP] Redirect creation when using wbmergeitems

https://gerrit.wikimedia.org/r/214917

Tobi_WMDE_SW edited a custom field.Jun 2 2015, 5:03 PM

Change 214917 merged by jenkins-bot:
Merging items creates redirect

https://gerrit.wikimedia.org/r/214917

daniel closed this task as Resolved.Jul 7 2015, 1:36 PM

@tobi: think so, yea :)